<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador || isDisenador">
        <mat-toolbar>
            <span> Asignar Tareas a Flujos de Trabajo</span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarFlujos">Volver</button>

        </mat-toolbar>

        <mat-card style="margin-top: 5px;">
            <form [formGroup]="nuevoForm" (ngSubmit)="postForm(nuevoForm.value)">
                <mat-grid-list cols="4" rowHeight="80px">

                    <mat-grid-tile [colspan]="1" [rowspan]="1" [disabled]="true">
                        <mat-form-field class="ancho" [disabled]="true">
                            <mat-label>Flujo</mat-label>
                            <mat-select [disabled]="true"  matInput formControlName="id_flujo_trabajo">
                                <mat-option value="{{flujo.id_flujo_trabajo}}" *ngFor="let flujo of flujos">
                                    {{flujo.id_flujo_trabajo}} - {{flujo.nombre_flujo_trabajo}}</mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>



                    <mat-grid-tile [colspan]="3" [rowspan]="6">
                        <img class="imagen" src="./assets/img/tareaFlujosTrabajo.jpg">
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Tarea</mat-label>
                            <mat-select matInput formControlName="id_tarea">
                                <mat-option value="{{tarea.id_tarea}}" *ngFor="let tarea of tareas">
                                    {{tarea.id_tarea}} - {{tarea.nombre_tarea}}</mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>
                    


                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <button mat-raised-button color="primary" type="submit" [disabled]="nuevoForm.invalid"
                            class="ancho">Aceptar</button>
                    </mat-grid-tile>

                </mat-grid-list>

            </form>
        </mat-card>
    </ng-container>


</div>